GLM_GTX_random: Random

- Main Page
- Modules
- Namespaces
- Classes
- Files

Functions

# GLM_GTX_random: Random

GTX Extensions (Experimental)

Generate random number from various distribution methods. More...

## Functions

template<typename T >
T | compRand1 ()
template<typename T >
T | compRand1 (T Min, T Max)
template<typename T >
detail::tvec2< T > | compRand2 (T Min, T Max)
template<typename T >
detail::tvec2< T > | compRand2 (const detail::tvec2< T > &Min, const detail::tvec2< T > &Max)
template<typename T >
detail::tvec3< T > | compRand3 (T Min, T Max)
template<typename T >
detail::tvec3< T > | compRand3 (const detail::tvec3< T > &Min, const detail::tvec3< T > &Max)
template<typename T >
detail::tvec3< T > | compRand4 (const detail::tvec4< T > &Min, const detail::tvec4< T > &Max)
template<typename T >
detail::tvec4< T > | compRand4 (T Min, T Max)
template<typename T >
T | gaussRand1 (T mean, T std_deviation)
template<typename T >
detail::tvec2< T > | gaussRand2 (const detail::tvec2< T > &mean, const detail::tvec2< T > &std_deviation)
template<typename T >
detail::tvec2< T > | gaussRand2 (T mean, T std_deviation)
template<typename T >
detail::tvec2< T > | gaussRand2 (const detail::tvec2< T > &mean, T std_deviation)
template<typename T >
detail::tvec2< T > | gaussRand2 (T mean, const detail::tvec2< T > &std_deviation)
template<typename T >
detail::tvec3< T > | gaussRand3 (const detail::tvec3< T > &mean, const detail::tvec3< T > &std_deviation)
template<typename T >
detail::tvec3< T > | gaussRand3 (T mean, T std_deviation)
template<typename T >
detail::tvec3< T > | gaussRand3 (const detail::tvec3< T > &mean, T std_deviation)
template<typename T >
detail::tvec3< T > | gaussRand3 (T mean, const detail::tvec3< T > &std_deviation)
template<typename T >
detail::tvec4< T > | gaussRand4 (T mean, T std_deviation)
template<typename T >
detail::tvec4< T > | gaussRand4 (T mean, const detail::tvec4< T > &std_deviation)
template<typename T >
detail::tvec4< T > | gaussRand4 (const detail::tvec4< T > &mean, const detail::tvec4< T > &std_deviation)
template<typename T >
detail::tvec4< T > | gaussRand4 (const detail::tvec4< T > &mean, T std_deviation)
template<typename T >
detail::tvec2< T > | normalizedRand2 ()
template<typename T >
detail::tvec2< T > | normalizedRand2 (T Min, T Max)
template<typename T >
detail::tvec3< T > | normalizedRand3 (T Min, T Max)
template<typename T >
detail::tvec3< T > | normalizedRand3 ()
template<typename T >
T | signedRand1 ()
template<typename T >
detail::tvec2< T > | signedRand2 ()
template<typename T >
detail::tvec3< T > | signedRand3 ()
template<typename T >
detail::tvec4< T > | signedRand4 ()
template<typename T >
detail::tvec2< T > | vecRand2 ()
template<typename T >
detail::tvec2< T > | vecRand2 (T MinRadius, T MaxRadius)
template<typename T >
detail::tvec3< T > | vecRand3 ()
template<typename T >
detail::tvec3< T > | vecRand3 (T MinRadius, T MaxRadius)
template<typename T >
detail::tvec4< T > | vecRand4 (T MinRadius, T MaxRadius)
template<typename T >
detail::tvec4< T > | vecRand4 ()

## Detailed Description

Generate random number from various distribution methods.

<glm/gtx/random.hpp> need to be included to use these functionalities.

## Function Documentation

T glm::gtx::random::signedRand1 | ( |  | ) |

Generate a random number in the interval [-1, 1], according a linear distribution.

From GLM_GTX_random extension.